=== po/CMakeLists.txt ===
include(FindGettext)
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

set(DOMAIN ${FULL_PROJECT_NAME})
set(POT_FILE ${DOMAIN}.pot)
file(GLOB PO_FILES *.po)

# Creates the .pot file containing the translations template
add_custom_target(${POT_FILE} ALL
    COMMENT "Generating translation template"
    COMMAND ${INTLTOOL_EXTRACT} --update --type=gettext/ini
        --srcdir=${CMAKE_BINARY_DIR} ${DESKTOP_FILE_NAME_IN}.in

    COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
        -D ${CMAKE_CURRENT_SOURCE_DIR}
        -D ${CMAKE_CURRENT_BINARY_DIR}
        --from-code=UTF-8
        --c++ --qt --language=javascript --add-comments=TRANSLATORS
        --keyword=tr --keyword=tr:1,2 --keyword=N_ --keyword=_
        --package-name='${DOMAIN}'
         --copyright-holder='Joan CiberSheep'
         --msgid-bugs-address=info@cibersheep.com
        ${I18N_SRC_FILES}

    #Replace default copyright
	COMMAND sed -i 's/\# SOME DESCRIPTIVE TITLE./\# This file is part of the 2FA Manager App for Ubuntu Touch/' ${POT_FILE}
	COMMAND sed -i 's/\# Copyright \(C\) YEAR/\# Copyright \(C\) 2019/' ${POT_FILE}
	COMMAND sed -i 's/\# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR./\# Joan CiberSheep <info@cibersheep.com> \(C\) 2019/' ${POT_FILE}

    COMMAND ${CMAKE_COMMAND} -E copy ${POT_FILE} ${CMAKE_CURRENT_SOURCE_DIR})

# Builds the binary translations catalog for each language
# it finds source translations (*.po) for
foreach(PO_FILE ${PO_FILES})
    get_filename_component(LANG ${PO_FILE} NAME_WE)
    gettext_process_po_files(${LANG} ALL PO_FILES ${PO_FILE})
    set(INSTALL_DIR ${LOCALE_DIR}/${LANG}/LC_MESSAGES)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.gmo
            DESTINATION ${INSTALL_DIR}
            RENAME ${DOMAIN}.mo)
endforeach(PO_FILE)
