=== debian/changelog ===
lomiri-tfamanager-app (1.7.3+dfsg-5) unstable; urgency=medium

  * debian/patches:
    + Add 1001_CMake-4.patch. Support building with CMake 4. (Closes: #1113248).
  * debian/control:
    + Add to D: lomiri-app-launch-tools.
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/bin/lomiri-tfamanager-app:
    + Use lomiri-app-launch cmdline wrapper to launch the app.
  * debian/copyright:
    + Update FSF mailing address.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 02 Sep 2025 16:24:57 +0200

lomiri-tfamanager-app (1.7.3+dfsg-4) unstable; urgency=medium

  * debian/patches:
    + Update/fix 2001_use-non-minified-otpauth-js.patch. Don't exclude
      otpauth.js file in CMakeLists.txt.
  * debian/rules:
    + Backup and restore po/tfamanager.cibersheep.pot before and after build
      (to support rebuilding the package after build).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 11 Feb 2025 10:31:57 +0100

lomiri-tfamanager-app (1.7.3+dfsg-3) unstable; urgency=medium

  * debian/patches:
    + Update 2001_use-non-minified-otpauth-js.patch. Also adjust Main.qml to
      use the non-minifid otpauth.js file.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Feb 2025 14:23:52 +0100

lomiri-tfamanager-app (1.7.3+dfsg-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 18 Jan 2025 17:54:02 +0100

lomiri-tfamanager-app (1.7.3+dfsg-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1087376).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Jan 2025 17:03:00 +0100
