=== debian/control ===
Source: lomiri-tfamanager-app
Priority: optional
Section: misc
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               intltool,
               qtbase5-dev,
               qtdeclarative5-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/cibersheep/tfamanager
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-tfamanager-app.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-tfamanager-app

Package: lomiri-tfamanager-app
Architecture: all
Depends: lomiri-app-launch-tools,
         qmlscene,
         qml-module-qtquick2,
         qml-module-lomiri-components,
         qml-module-lomiri-content,
         ${misc:Depends}
Description: 2-Factor-Authentication Manager App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides a 2FA Manager App for Lomiri.
