=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	if [ ! -e po/tfamanager.cibersheep.pot.deb-bak ]; then cp po/tfamanager.cibersheep.pot po/tfamanager.cibersheep.pot.deb-bak; fi
	dh_auto_configure -- -DCLICK_MODE=OFF

override_dh_install:
	dh_install
	mkdir -p debian/lomiri-tfamanager-app/usr/bin/
	cp debian/bin/lomiri-tfamanager-app debian/lomiri-tfamanager-app/usr/bin/

override_dh_clean:
	dh_clean
	if [ -e po/tfamanager.cibersheep.pot.deb-bak ]; then mv po/tfamanager.cibersheep.pot.deb-bak po/tfamanager.cibersheep.pot; fi

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
