=== debian/watch ===
version=4
opts="searchmode=plain, repacksuffix=+dfsg, dversionmangle=s/\+dfsg//" \
https://gitlab.com/cibersheep/tfamanager/tags?sort=updated_desc -/archive/v?\d[\d.]+/tfamanager-@ANY_VERSION@@ARCHIVE_EXT@
